Get LookupTableRevisionData entry - m3ter Documentation
Get LookupTableRevisionData entry
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions/{lookupTableRevisionId}/data/{lookupKey} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions/{lookupTableRevisionId}/data/{lookupKey}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions/{lookupTableRevisionId}/data/{lookupKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Examples
200
{
"items": [\
{}\
],
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"version": 123
}
4XX Error
{
"message": "<string>"
}
5XX Error
{
"message": "<string>"
}
Authorizations
Authorization
string
header
required
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow. The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
- orgId: (string, required) UUID of the Organization. The Organization represents your company as a direct customer of the m3ter service.
- lookupTableId: (string, required) UUID of the Lookup Table.
- lookupTableRevisionId: (string, required) UUID of the Lookup Table Revision.
- lookupKey: (string, required) The specific lookup key for the Data item to retrieve.
Response
200: Returns the LookupTableRevisionData item
items: (object[], required) The Lookup Table Revision Data. Maximum array length:
2000dtCreated: (string
) The DateTime when the Lookup Table Revision Data was created. dtLastModified: (string
) The DateTime when the Lookup Table Revision Data was last modified. createdBy: (string) The id of the user who created the Lookup Table Revision Data.
lastModifiedBy: (string) The id of the user who last modified the Lookup Table Revision Data.
version: (integer
) The version of the Lookup Table Revision Data.